Bug 467055

Summary: Can't add "launcher" to panel: The panel encountered a problem while loading "OAFIID:TomboyApplet".
Product: [Fedora] Fedora Reporter: Tom London <selinux>
Component: tomboyAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: libbe, mclasen, poelstra, rstrode, sangu.fedora
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-27 19:24:29 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 438943, 457945    

Description Tom London 2008-10-15 10:14:00 EDT
Description of problem:
I installed from Spin1; the gnome panel did not have tomboy.  [System has been updated to rawhide/koji.]

Right clicking on top panel and selecting "Add to Panel" and scrolling down to "Tomboy Notes" produces an Error popup with the text:

The panel encountered a problem while loading "OAFIID:TomboyApplet".

and the usual "Don't delete"/"Delete" choice.

The only message I find is this in .xsession-errors:

** (gnome-panel:3116): WARNING **: panel-applet-frame.c:1285: failed to load applet OAFIID:TomboyApplet:
System exception: IDL:Bonobo/GeneralError:1.0 : Child process did not give an error message, unknown failure occurred


Version-Release number of selected component (if applicable):
tomboy-0.12.0-2.fc10.x86_64
gnome-panel-2.24.0-7.fc10.x86_64


How reproducible:
Every time

Steps to Reproduce:
1. Login to gdm/gnome. 
2. Try to add "tomboy" to top panel
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-10-15 10:19:13 EDT
BTW, running tomboy from terminal window produces:

[tbl@tlondon ~]$ tomboy
[DEBUG]: NoteManager created with note path "/home/tbl/.tomboy".
[INFO]: Initializing Mono.Addins
[DEBUG]: AddinManager.OnAddinLoaded: Tomboy.Tomboy
[DEBUG]: 	       Name: Tomboy.Tomboy,0.10
[DEBUG]: 	Description: 
[DEBUG]: 	  Namespace: Tomboy
[DEBUG]: 	    Enabled: True
[DEBUG]: 	       File: /usr/lib64/tomboy/Tomboy.exe
WARNING: The add-in 'Tomboy.TasqueAddin,0.1' is trying to extend '/Tomboy/NoteAddins', but there isn't any compatible add-in defining this extension point
[DEBUG]: AddinManager.OnAddinLoaded: Tomboy.WebDavSyncServiceAddin
[DEBUG]: 	       Name: WebDav Sync Service Add-in
[DEBUG]: 	Description: Synchronize Tomboy Notes to a WebDav URL
[DEBUG]: 	  Namespace: Tomboy
[DEBUG]: 	    Enabled: True
[DEBUG]: 	       File: /usr/lib64/tomboy/addins/WebDavSyncService.dll
[DEBUG]: AddinManager.OnAddinLoaded: Tomboy.FileSystemSyncServiceAddin
[DEBUG]: 	       Name: Local Directory Sync Service Add-in
[DEBUG]: 	Description: Synchronize Tomboy Notes to a local file system path
[DEBUG]: 	  Namespace: Tomboy
[DEBUG]: 	    Enabled: True
[DEBUG]: 	       File: /usr/lib64/tomboy/addins/FileSystemSyncService.dll
[DEBUG]: Unable to locate 'gnomesu' in your PATH
[DEBUG]: Unable to locate 'gksu' in your PATH
[DEBUG]: Unable to locate 'gksudo' in your PATH
[DEBUG]: Unable to locate 'kdesu' in your PATH
[WARN]: No GUI 'su' tool found
[DEBUG]: Failed to find all system tools for SyncUtils
[DEBUG]: Unable to locate 'wdfs' in your PATH
[DEBUG]: Tomboy remote control active.
[DEBUG]: EnableDisable Called: enabling... True
[DEBUG]: Binding key '<Alt>F12' for '/apps/tomboy/global_keybindings/show_note_menu'
[DEBUG]: Binding key '<Alt>F11' for '/apps/tomboy/global_keybindings/open_start_here'
[DEBUG]: Quitting Tomboy.  Ciao!
[DEBUG]: Saving unsaved notes...
Segmentation fault
[tbl@tlondon ~]$ 

[Believe the segfault is https://bugzilla.redhat.com/show_bug.cgi?id=460663]
Comment 2 sangu 2008-10-16 04:23:06 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=555318 Panel applet fails to load with gnome-sharp < 2.23.90
or
http://bugzilla.gnome.org/show_bug.cgi?id=414789  Error dialog when adding Tomboy to panel (if it's already in the notification area) is confusing and may lead to the user getting errors on every log in

http://mail.gnome.org/archives/ftp-release-list/2008-September/msg00087.html gnome-sharp 2.24.0
http://mail.gnome.org/archives/ftp-release-list/2008-October/msg00009.html : tomboy 0.12.1
Version 0.12.1
* Bundle gnome-sharp panel applet code (as we did prior to 0.11.3) if building
  against gnome-sharp < 2.23.90.  See bug #555318 for details.

Then, < gnome-sharp-2.20.0-2.fc10, tomboy-0.12.0-2.fc10 > in rawhide.
Comment 3 Ray Strode [halfline] 2008-10-23 14:47:26 EDT
building patch mentioned on upstream report now.
Comment 4 Ray Strode [halfline] 2008-10-23 14:57:30 EDT
reopening, patch failed to build.
Comment 5 Tom London 2008-10-27 18:18:40 EDT
koji update of tomboy, gnome-sharp, gnome-desktop-sharp to 2.24.0 fixes this for me.